<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
        <p:outputLabel value="Línea #102 : "/>
        <p:separator />
    <h:form rendered="#{!llamada102MB.editMode}">
        <p:dataTable id="llamada102" var="ent" value="#{llamada102MB.list}" widgetVar="llamada102"
                 emptyMessage="No hay resultados para esa busqueda">
            
            <f:facet name="header">
	            <p:outputPanel>
	                <p:outputLabel value="Buscar:" />
	                <p:inputText id="globalFilter" onkeyup="PF('llamada102').filter()" style="width:250px" placeholder="Ingrese su busqueda..."/>
	            	<p:spacer width="5"></p:spacer>
	            	<p:selectBooleanCheckbox value="#{llamada102MB.verHistoricas}" style="vertical-align:middle !important">
            			<p:ajax update="llamada102" />
            			Ver históricos
        			</p:selectBooleanCheckbox>
	            </p:outputPanel>
	            
        	</f:facet>
            
            <p:column filterBy="#{ent.id}" headerText="Numero de Registro" filterMatchMode="contains">
                <p:outputLabel value="#{ent.id}" />
            </p:column>
            
            <p:column filterBy="#{ent.referencia}" headerText="Referencia" filterMatchMode="contains">
                <p:outputLabel value="#{ent.referencia}" />
            </p:column>
            
            <p:column filterBy="#{ent.fecha}" headerText="Fecha de llamada" filterMatchMode="contains">
                <p:outputLabel value="#{ent.fecha}" >
                	<f:convertDateTime pattern="dd/MM/yyyy HH:mm" />
                </p:outputLabel>
            </p:column>
            

            <p:column filterBy="#{ent.zonal.nombre}" headerText="Equipo Territorial Provincial" filterMatchMode="contains">
                <p:outputLabel value="#{ent.zonal.nombre}" />
            </p:column>
            <p:column filterBy="#{ent.estado.descripcion}" headerText="Estado" filterMatchMode="contains">
                <p:outputLabel value="#{ent.estado.descripcion}" />
            </p:column>
            
           
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar/Consultar" />
                </f:facet>
                <p:commandButton id="edit" action="#{llamada102MB.edit(ent)}" icon="#{llamada102MB.puedeEditar()?'ui-icon-pencil':'ui-icon-search'}" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column rendered="#{llamada102MB.puedeBorrar()}">
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages llamada102" action="#{llamada102MB.delete(ent)}" rendered="#{llamada102MB.puedeEditar()}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar la Llamada?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo registro de llamada" action="#{llamada102MB.reset}" ajax="false" rendered="#{llamada102MB.puedeEditar()}"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>   
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </h:form>
    <h:form id="formLlamada102" rendered="#{llamada102MB.editMode}">
         

			<p:accordionPanel multiple="true" activeIndex="0,1,2,3,4" id="tab102">
				<p:tab title="Caratula">
				
				  <p:panelGrid columns="3" >
	                <p:outputLabel for="id" value="Numero de Registro : " />
	                <p:outputLabel id="id" value="#{llamada102MB.instance.id}" />
	                <p:message  for="id" display="icon"/>
	                
  	                <p:outputLabel for="fecha" value="Fecha : " />
	                <p:outputLabel id="fecha" value="#{llamada102MB.instance.fecha}" >
                		<f:convertDateTime pattern="dd/MM/yyyy HH:mm" />
               		</p:outputLabel>
	                <p:message  for="fecha" display="icon"/>
	        
	        		<p:outputLabel for="estado" value="Estado : " />
	                <p:outputLabel id="estado" value="#{llamada102MB.instance.estado.descripcion}" />
	                <p:message  for="estado" display="icon"/>
	        
	   	            <p:outputLabel for="zonal" value="Equipo Territorial Provincial :"/>
		       		<p:selectOneMenu id="zonal" value="#{llamada102MB.instance.zonal}" converter="zonalConverter" 
		       				disabled="#{!llamada102MB.puedeEditar()}">
		           		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
		           		<f:selectItems value="#{llamada102MB.zonales}" var="zonal"
		                          itemValue="#{zonal}"
		                          itemLabel="#{zonal.nombre}"/>
		       		</p:selectOneMenu>
		       		<p:message  for="zonal" display="icon"/>
	           		
	                <p:outputLabel for="referencia" value="Referencia : " />
	                <p:inputText id="referencia" value="#{llamada102MB.instance.referencia}" label="Referencia"
	                		readonly="#{!llamada102MB.puedeEditar()}" size="100"/>
	                <p:message  for="referencia" display="icon"/>
	              </p:panelGrid>
                </p:tab>
				<p:tab title="Datos del centro de vida">
				  <p:panelGrid columns="3" >
	                <p:outputLabel for="domicilio" value="Domicilio : " />
	                <p:inputText id="domicilio" value="#{llamada102MB.instance.domicilio}" label="Domicilio"
	                	readonly="#{!llamada102MB.puedeEditar()}" size="100"/>
	                <p:message  for="domicilio" display="icon"/>
	                
	                <p:outputLabel for="refGeo" value="Referencia Geografica : " />
	                <p:inputText id="refGeo" value="#{llamada102MB.instance.referenciaGeografica}" label="Referencia Geografica"
	                	readonly="#{!llamada102MB.puedeEditar()}" size="100"/>
	                <p:message  for="refGeo" display="icon"/>
                  </p:panelGrid>
				</p:tab>
				<p:tab  title="Convivientes">
					<p:dataTable value="#{llamada102MB.convivientes}" id="convivientesLst" var="ent"  emptyMessage="No hay resultados para esa busqueda">
			            <p:column  headerText="Tipo" >
			                <p:outputLabel value="#{ent.tipo.descripcion}" />
			            </p:column>
			
			            <p:column  headerText="Apellido" >
			                <p:outputLabel value="#{ent.apellido}" />
			            </p:column>
			            
			            <p:column  headerText="Nombre" >
			                <p:outputLabel value="#{ent.nombre}" />
			            </p:column>
			            
  			            <p:column  headerText="Tipo Vinculo" >
			                <p:outputLabel value="#{ent.tipoVinculo.descripcion}" />
			            </p:column>
			
						<p:column>
			                <f:facet name="header">
			                    <p:outputLabel value="Editar" />
			                </f:facet>
			                <p:commandButton id="edit"  action="#{llamada102MB.editConviviente(ent)}" 
			                	icon="ui-icon-pencil" process="@this"
			                	oncomplete="PF('panelConv').show();" update="mainForm:panelConv"  rendered="#{llamada102MB.puedeEditar()}">
			                </p:commandButton>
			            </p:column>
			
			            <p:column>
			                <f:facet name="header">
			                    <p:outputLabel value="Borrar" />
			                </f:facet>
							<p:commandButton id="delete" icon="ui-icon-trash" update="convivientesLst" action="#{llamada102MB.deleteConviviente(ent)}"
									rendered="#{llamada102MB.puedeEditar()}">
			                	<p:confirm header="Atención" message="Está seguro que desea borrar el Conviviente?" icon="ui-icon-alert" />
			                </p:commandButton>
	            		</p:column>            
            
			        </p:dataTable>	
			        <p:separator />
			        <p:commandButton  value="Agregar" type="button" onclick="PF('panelConv').show();" action="#{llamada102MB.nuevoConviviente}"
			        	rendered="#{llamada102MB.puedeEditar()}" />
					<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
			        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
			        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
			    	</p:confirmDialog>  
				
				</p:tab>
				<p:tab title="Datos del supuesto responsable">
				  <p:panelGrid columns="3" >
	                <p:outputLabel for="apellido" value="Apellido : " />
	                <p:inputText id="apellido" value="#{llamada102MB.instance.apellido}" label="Apellido"
	                	readonly="#{!llamada102MB.puedeEditar()}"
	                	converter="upperCaseConverter"/>
	                <p:message  for="apellido" display="icon"/>                
	                
	                <p:outputLabel for="nombre" value="Nombre : " />
	                <p:inputText id="nombre" value="#{llamada102MB.instance.nombre}" label="Nombre"
	                	readonly="#{!llamada102MB.puedeEditar()}"/>
	                <p:message  for="nombre" display="icon"/>                
	                        
	                <p:outputLabel for="edad" value="Edad : " />
	                <p:inputText id="edad" value="#{llamada102MB.instance.edad}" label="Edad" size="3"
	                	disabled="#{!llamada102MB.puedeEditar()}"/>
	                <p:message  for="edad" display="icon"/>
	                
	                <p:outputLabel for="tipoVinculo" value="Tipo vinculo :" />
	       			<p:selectOneMenu id="tipoVinculo" value="#{llamada102MB.instance.tipoVinculo}" converter="tipoVinculoFamiliarConverter" label="Tipo Vínculo Familiar"
	       					disabled="#{!llamada102MB.puedeEditar()}">
	            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
	            		<f:selectItems value="#{commonSelectorsMB.getTiposVinculosFamiliares(llamada102MB.instance.tipoVinculo)}" var="tvF"
	                           itemValue="#{tvF}"
	                           itemLabel="#{tvF.descripcion}"/>
	        		</p:selectOneMenu>
	        		<p:message for="tipoVinculo" display="icon"/>                        
	                
	              	<p:outputLabel for="observaciones" value="Observaciones : " />
	                <p:inputTextarea rows="10" cols="50" id="observaciones" value="#{llamada102MB.instance.observaciones}"
	                	disabled="#{!llamada102MB.puedeEditar()}" />
				    <h:panelGroup/>
				  </p:panelGrid>
				</p:tab>
				<p:tab title="Detalle de la situacion">
				  <p:panelGrid columns="3" >
	              	<p:outputLabel for="descSit" value="Detalle de la situacion : " />
	                <p:inputTextarea rows="10" cols="50" id="descSit" value="#{llamada102MB.instance.detalleSituacion}" 
	                	required="true"
	                	disabled="#{!llamada102MB.puedeEditar()}"/>
                  	<h:panelGroup/>
                  </p:panelGrid>
                </p:tab>
             </p:accordionPanel>
        <p:commandButton id="cambiarEstado" value="Aceptar llamada" action="#{llamada102MB.aceptarLlamada()}" immediate="true" process="@this" update="formLlamada102:tab102:estado,cambiarEstado"
        	rendered="#{llamada102MB.usuarioZonal()}" disabled="#{llamada102MB.instance.estado eq 'ACEPTADA_POR_ZONAL' or !llamada102MB.puedeAceptarLlamada()}"/>
        <p:commandButton id="add" value="Guardar" action="#{llamada102MB.save}" ajax="false" rendered="#{llamada102MB.puedeEditar()}"/> 
		<p:commandButton id="cancel" value="Cancelar" action="#{llamada102MB.cancel}" ajax="false" immediate="true"/>
   		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
   	</h:form>
   	
   			<p:dialog  id="panelConv" widgetVar="panelConv" header="Conviviente" modal="true" appendTo="@(body)" >
    		<h:form id="formConv">
    		<p:panelGrid  columns="3" cellpadding="2" id="panelGridLL" >
    			<p:outputLabel for="campoTipo" value="Tipo :" />
       			<p:selectOneMenu id="campoTipo" value="#{llamada102MB.conviviente.tipo}" >
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.valoresTipoConviviente}" var="tco"
                           itemValue="#{tco}"
                           itemLabel="#{tco.descripcion}"/>
        		</p:selectOneMenu>
        		<p:message for="campoTipo" display="icon"/>
           		
           		<p:outputLabel for="campoApellido" value="Apellido : " />
       			<p:inputText id="campoApellido" value="#{llamada102MB.conviviente.apellido}" label="Apellido Conviviente"/>
                <p:message for="campoApellido" display="icon"/>
                
                <p:outputLabel for="campoNombre" value="Nombre : " />
       			<p:inputText id="campoNombre" value="#{llamada102MB.conviviente.nombre}"/>
                <p:message for="campoNombre" display="icon"/>
           		
               	<p:outputLabel for="campoEdad" value="Edad : " />
                <p:inputText id="campoEdad" value="#{llamada102MB.conviviente.edad}" size="3"/>
                <p:message  for="campoEdad" display="icon"/>
                
                <p:outputLabel for="campoTipoVinculo" value="Tipo vinculo :" />
       			<p:selectOneMenu id="campoTipoVinculo" value="#{llamada102MB.conviviente.tipoVinculo}" converter="tipoVinculoFamiliarConverter" >
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getTiposVinculosFamiliares(llamada102MB.conviviente.tipoVinculo)}" var="tvF"
                           itemValue="#{tvF}"
                           itemLabel="#{tvF.descripcion}"/>
        		</p:selectOneMenu>
        		<p:message for="campoTipoVinculo" display="icon"/> 
           		
               	<p:outputLabel for="campoOcupacion" value="Ocupacion : " />
       			<p:inputText id="campoOcupacion" value="#{llamada102MB.conviviente.ocupacion}"/>
                <p:message for="campoOcupacion" display="icon"/>
                
                <p:outputLabel for="campoInstEduc" value="Institucion educativa : " />
       			<p:inputText id="campoInstEduc" value="#{llamada102MB.conviviente.institucionEducativa}"/>
                <p:message for="campoInstEduc" display="icon"/>
                
                <p:outputLabel for="campoInstSanit" value="Institucion sanitaria : " />
       			<p:inputText id="campoInstSanit" value="#{llamada102MB.conviviente.institucionSanitaria}"/>
                <p:message for="campoInstSanit" display="icon"/>
           		
			</p:panelGrid>
           	<p:commandButton id="guardar" value="Guardar"  process="@this,campoTipo,campoApellido,campoNombre,campoEdad,campoTipoVinculo,campoOcupacion,campoInstEduc,campoInstSanit" 
           		action="#{llamada102MB.convivienteSeleccionado}" update=":mainForm:formLlamada102:tab102:convivientesLst,formConv"  
           		oncomplete="handleDialogLLSubmit(xhr, status, args)" />
            <p:commandButton value="Cancelar" onclick="PF('panelConv').hide();"  immediate="true"/>
        	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>	
        	</h:form>
        </p:dialog>
		<script type="text/javascript">
		    function handleDialogLLSubmit(xhr, status, args) {
		        if (args.validationFailed) {
		        	PF('panelConv').show();
		        } else {
		        	PF('panelConv').hide();
		        }
		    }
		</script>
	</ui:define>
</ui:composition>
